Error with Max MSP

Low level MIDI support for Node.js
Post Reply
damon
Posts: 3
Joined: Tue Jun 05, 2018 6:58 am

Error with Max MSP

Post by damon » Tue Jun 05, 2018 10:25 am

I'm running into an error when trying to use jazz-midi in Node.js while Max is running. Without Max running, it's fine - it connects to my external interfaces and whatnot without issue. But if I try to run the node app while Max is running I get the error:

Segmentation fault: 11

I do not run in this issue with vanilla Web MIDI API in Chrome, it runs fine and can communicate with Max's MIDI ports. I only have this issue in Node.js with jzz plugin. Any ideas?

Thanks,
Damon

macOS 10.13.4
Max 7.3.5
jzz 0.4.9
Node 8.11.2

P.S. Thanks to the developers for this plugin. It's awesome to be able to use MIDI in Node!

sema
Site Admin
Posts: 373
Joined: Mon Oct 17, 2011 7:28 pm

Re: Error with Max MSP

Post by sema » Tue Jun 05, 2018 8:44 pm

Thank you for letting me know.
I've just got a very similar notice at https://github.com/jazz-soft/JZZ/issues/3
Or, perhaps, that was also you?
I'm investigating the issue.

Post Reply